Skip to main content
POST
Refund Retain Transactions

Query Parameters

dryrun
integer<int32>
default:0

Indicates if the refunds are being submitted only for primary data validation, without formal commit of the actual data to Retain for processing.

Required range: 0 <= x <= 1

Body

application/json

Array of Transaction identifiers to refund or terminate reprocessing.

refunds
object[]
Minimum array length: 1

Callbacks

POST
https://webhook.merchant.com/path4Refund status

Body

application/json
header
object
required
content
object
required

Retain Transaction object.

Response

202

Receiving server returns this code if it accepts the message

POST
https://webhook.merchant.com/path5Refund status

Body

application/json
header
object
required
content
object
required

Retain Transaction object.

Response

202

Receiving server returns this code if it accepts the message

Response

All submitted refunds accepted for processing.

message
string
Example:

"<count> refunds received for processing"